Go to the latest version of this document.

# ``twisted`.`conch`.`ssh`.`filetransfer``

module documentation
(source)

Undocumented

Class | `ClientDirectory` | Undocumented
Class | `ClientFile` | Undocumented
Class | `FileTransferBase` | No class docstring; 0/3 instance variable, 0/3 class variable, 1/6 method documented
Class | `FileTransferClient` | No class docstring; 0/4 instance variable, 17/27 methods documented
Class | `FileTransferServer` | No class docstring; 0/4 instance variable, 2/35 methods documented
Exception | `SFTPError` | No exception docstring; 1/1 property, 0/3 instance variable, 0/2 method documented
Constant | `FILEXFER_ATTR_ACMODTIME` | Undocumented
Constant | `FILEXFER_ATTR_EXTENDED` | Undocumented
Constant | `FILEXFER_ATTR_PERMISSIONS` | Undocumented
Constant | `FILEXFER_ATTR_SIZE` | Undocumented
Constant | `FILEXFER_ATTR_UIDGID` | Undocumented
Constant | `FILEXFER_TYPE_DIRECTORY` | Undocumented
Constant | `FILEXFER_TYPE_REGULAR` | Undocumented
Constant | `FILEXFER_TYPE_SPECIAL` | Undocumented
Constant | `FILEXFER_TYPE_SYMLINK` | Undocumented
Constant | `FILEXFER_TYPE_UNKNOWN` | Undocumented
Constant | `FX_BAD_MESSAGE` | Undocumented
Constant | `FX_CONNECTION_LOST` | Undocumented
Constant | `FX_EOF` | Undocumented
Constant | `FX_FAILURE` | Undocumented
Constant | `FX_FILE_ALREADY_EXISTS` | Undocumented
Constant | `FX_NO_CONNECTION` | Undocumented
Constant | `FX_NO_SUCH_FILE` | Undocumented
Constant | `FX_OK` | Undocumented
Constant | `FX_OP_UNSUPPORTED` | Undocumented
Constant | `FX_PERMISSION_DENIED` | Undocumented
Constant | `FXF_APPEND` | Undocumented
Constant | `FXF_CREAT` | Undocumented
Constant | `FXF_EXCL` | Undocumented
Constant | `FXF_READ` | Undocumented
Constant | `FXF_TEXT` | Undocumented
Constant | `FXF_TRUNC` | Undocumented
Constant | `FXF_WRITE` | Undocumented
Constant | `FXP_ATTRS` | Undocumented
Constant | `FXP_CLOSE` | Undocumented
Constant | `FXP_DATA` | Undocumented
Constant | `FXP_EXTENDED` | Undocumented
Constant | `FXP_EXTENDED_REPLY` | Undocumented
Constant | `FXP_FSETSTAT` | Undocumented
Constant | `FXP_FSTAT` | Undocumented
Constant | `FXP_HANDLE` | Undocumented
Constant | `FXP_INIT` | Undocumented
Constant | `FXP_LSTAT` | Undocumented
Constant | `FXP_MKDIR` | Undocumented
Constant | `FXP_NAME` | Undocumented
Constant | `FXP_OPEN` | Undocumented
Constant | `FXP_OPENDIR` | Undocumented
Constant | `FXP_READ` | Undocumented
Constant | `FXP_READDIR` | Undocumented
Constant | `FXP_READLINK` | Undocumented
Constant | `FXP_REALPATH` | Undocumented
Constant | `FXP_REMOVE` | Undocumented
Constant | `FXP_RENAME` | Undocumented
Constant | `FXP_RMDIR` | Undocumented
Constant | `FXP_SETSTAT` | Undocumented
Constant | `FXP_STAT` | Undocumented
Constant | `FXP_STATUS` | Undocumented
Constant | `FXP_SYMLINK` | Undocumented
Constant | `FXP_VERSION` | Undocumented
Constant | `FXP_WRITE` | Undocumented
Variable | `g` | Undocumented
Variable | `value` | Undocumented

FILEXFER_ATTR_ACMODTIME: `int` = (source)

Undocumented

Value

    8

FILEXFER_ATTR_EXTENDED: `int` = (source)

Undocumented

Value

    2147483648

FILEXFER_ATTR_PERMISSIONS: `int` = (source)

Undocumented

Value

    4

FILEXFER_ATTR_SIZE: `int` = (source)

Undocumented

Value

    1

FILEXFER_ATTR_UIDGID: `int` = (source)

Undocumented

Value

    2

FILEXFER_TYPE_DIRECTORY: `int` = (source)

Undocumented

Value

    2

FILEXFER_TYPE_REGULAR: `int` = (source)

Undocumented

Value

    1

FILEXFER_TYPE_SPECIAL: `int` = (source)

Undocumented

Value

    4

FILEXFER_TYPE_SYMLINK: `int` = (source)

Undocumented

Value

    3

FILEXFER_TYPE_UNKNOWN: `int` = (source)

Undocumented

Value

    5

FX_BAD_MESSAGE: `int` = (source)

Undocumented

Value

    5

FX_CONNECTION_LOST: `int` = (source)

Undocumented

Value

    7

FX_EOF: `int` = (source)

Undocumented

Value

    1

FX_FAILURE: `int` = (source)

Undocumented

Value

    4

FX_FILE_ALREADY_EXISTS: `int` = (source)

Undocumented

Value

    11

FX_NO_CONNECTION: `int` = (source)

Undocumented

Value

    6

FX_NO_SUCH_FILE: `int` = (source)

Undocumented

Value

    2

FX_OK: `int` = (source)

Undocumented

Value

    0

FX_OP_UNSUPPORTED: `int` = (source)

Undocumented

Value

    8

FX_PERMISSION_DENIED: `int` = (source)

Undocumented

Value

    3

FXF_APPEND: `int` = (source)

Undocumented

Value

    4

FXF_CREAT: `int` = (source)

Undocumented

Value

    8

FXF_EXCL: `int` = (source)

Undocumented

Value

    32

FXF_READ: `int` = (source)

Undocumented

Value

    1

FXF_TEXT: `int` = (source)

Undocumented

Value

    64

FXF_TRUNC: `int` = (source)

Undocumented

Value

    16

FXF_WRITE: `int` = (source)

Undocumented

Value

    2

FXP_ATTRS: `int` = (source)

Undocumented

Value

    105

FXP_CLOSE: `int` = (source)

Undocumented

Value

    4

FXP_DATA: `int` = (source)

Undocumented

Value

    103

FXP_EXTENDED: `int` = (source)

Undocumented

Value

    200

FXP_EXTENDED_REPLY: `int` = (source)

Undocumented

Value

    201

FXP_FSETSTAT: `int` = (source)

Undocumented

Value

    10

FXP_FSTAT: `int` = (source)

Undocumented

Value

    8

FXP_HANDLE: `int` = (source)

Undocumented

Value

    102

FXP_INIT: `int` = (source)

Undocumented

Value

    1

FXP_LSTAT: `int` = (source)

Undocumented

Value

    7

FXP_MKDIR: `int` = (source)

Undocumented

Value

    14

FXP_NAME: `int` = (source)

Undocumented

Value

    104

FXP_OPEN: `int` = (source)

Undocumented

Value

    3

FXP_OPENDIR: `int` = (source)

Undocumented

Value

    11

FXP_READ: `int` = (source)

Undocumented

Value

    5

FXP_READDIR: `int` = (source)

Undocumented

Value

    12

FXP_READLINK: `int` = (source)

Undocumented

Value

    19

FXP_REALPATH: `int` = (source)

Undocumented

Value

    16

FXP_REMOVE: `int` = (source)

Undocumented

Value

    13

FXP_RENAME: `int` = (source)

Undocumented

Value

    18

FXP_RMDIR: `int` = (source)

Undocumented

Value

    15

FXP_SETSTAT: `int` = (source)

Undocumented

Value

    9

FXP_STAT: `int` = (source)

Undocumented

Value

    17

FXP_STATUS: `int` = (source)

Undocumented

Value

    101

FXP_SYMLINK: `int` = (source)

Undocumented

Value

    20

FXP_VERSION: `int` = (source)

Undocumented

Value

    2

FXP_WRITE: `int` = (source)

Undocumented

Value

    6

g = (source)

Undocumented

value = (source)

Undocumented